Basically copied from the redhat ones.
---
tests/test-harder.sh | 32 ++++++++++++++++++++++++++++++++
1 file changed, 32 insertions(+)
diff --git a/tests/test-harder.sh b/tests/test-harder.sh
index e8bb32f..0f80980 100755
--- a/tests/test-harder.sh
+++ b/tests/test-harder.sh
@@ -31,6 +31,8 @@ elif [ -f /etc/debian_version ]; then
distro=debian
elif [ -f /etc/redhat-release ]; then
distro=redhat
+elif [ -f /etc/SuSE-release ]; then
+ distro=suse
else
exit 77
fi
@@ -53,6 +55,9 @@ case $distro in
# installed. (See commit fb40baade8e3441b73ce6fd10a32fbbfe49cc4da)
pkgs="augeas hivex tar"
;;
+ suse)
+ pkgs="augeas hivex tar"
+ ;;
esac
test "$USE_NETWORK" = 1 || USE_INSTALLED=--use-installed
@@ -125,6 +130,33 @@ case $distro in
exit 1
fi
;;
+ suse)
+ if [ ! -x $d2/usr/bin/augtool ]; then
+ echo "$0: $distro: augtool binary not installed in chroot"
+ ls -lR $d2
+ exit 1
+ fi
+ if [ "$(find $d2/usr/lib* -name libaugeas.so.0 | wc -l)" -lt 1 ]; then
+ echo "$0: $distro: augeas library not installed in chroot"
+ ls -lR $d2
+ exit 1
+ fi
+ if [ ! -x $d2/usr/bin/hivexget ]; then
+ echo "$0: $distro: hivexget binary not installed in chroot"
+ ls -lR $d2
+ exit 1
+ fi
+ if [ "$(find $d2/usr/lib* -name libhivex.so.0 | wc -l)" -lt 1 ]; then
+ echo "$0: $distro: hivex library not installed in chroot"
+ ls -lR $d2
+ exit 1
+ fi
+ if [ ! -x $d2/bin/tar ]; then
+ echo "$0: $distro: tar binary not installed in chroot"
+ ls -lR $d2
+ exit 1
+ fi
+ ;;
esac
# Need to chmod $d2 since rm -r can't remove unwritable directories.
--
2.0.4